include:
  - template: Jobs/Secret-Detection.latest.gitlab-ci.yml

stages:
  - test
  - release

test:
  stage: test
  tags: 
    - saas-linux-medium-amd64
  image: docker:20.10.12
  services:
    - name: 'docker:20.10.12-dind'
      command: ['--tls=false', '--host=tcp://0.0.0.0:2375']
  variables:
    DOCKER_DRIVER: overlay2
  script:
    - apk add --no-cache jq
    - ./test.sh

release-version:
  stage: release
  image: docker:20.10.12
  services:
    - name: 'docker:20.10.12-dind'
      command: ['--tls=false', '--host=tcp://0.0.0.0:2375']
  variables:
    DOCKER_DRIVER: overlay2
  script:
    - echo "Building Docker image..."
    - docker build -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME" -t "$CI_REGISTRY_IMAGE:latest" .
    - echo "Logging to GitLab Container Registry with CI credentials..."
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_ACCESS_TOKEN" "$CI_REGISTRY"
    - echo "Pushing to GitLab Container Registry..."
    - docker push -a "$CI_REGISTRY_IMAGE"
  rules:
    - if: $CI_COMMIT_TAG =~ /^\d+\.\d+\.\d+(-gitlab\.\d+)?$/
